package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodCompanySubsidyUse;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;
import com.jeesharp.framework.pojo.query.PaginationVO;

import java.math.BigDecimal;
import java.time.LocalDate;

public interface FoodCompanySubsidyUseService extends BaseInterface<FoodCompanySubsidyUse, PaginationVO> {

    BigDecimal sumUsedAmount(String employeeId, String companyId, LocalDate mealDate, String mealType);

    FoodCompanySubsidyUse getFrozenByOrderId(String orderId);

    FoodCompanySubsidyUse getByOrderId(String orderId);

    void insertSubsidyUse(FoodCompanySubsidyUse use);

    void updateSubsidyUse(FoodCompanySubsidyUse use);
}
